<ol class="breadcrumb mb-4" style="margin-top: 15px;">
	<li class="breadcrumb-item active">{{ titulo }}</li>
</ol>
<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
	</div>
	<div class="card-body">
		<div class="table-responsive">   
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
					<tr>
						<th>Nick</th>
						<th>Venta</th>
						<th style=" width: 7%;">Acción</th>
					</tr>
				</thead>
				<tfoot> 
					<tr>
						<th>Código</th>
						<th>Descripción</th>
						<th style=" width: 7%;">Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let item of items">
						<td>{{ item.nick }}</td>
						<td style=" text-align: right;">$ {{ item.ventas | number:'1.0-0' }}</td>
						<td style="text-align: center;">
							<a href="javascript:void(0)" (click)="onEditar(item)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
						</td> 
					</tr>  
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="_formGroup" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        	<div class="row">
	        		<div class="col-md-12">
	        			<label for="recipient-name" class="col-form-label">Modelos: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.model_id.invalid && (submitted || f.model_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="modelos" bindLabel="nomcompleto" formControlName="model_id"  bindValue="id"></ng-select>
		            </div>  
	        	</div>
	    	</div> 
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>



